com.orsoncharts.style

## Class ChartStyles

- java.lang.Object
- - com.orsoncharts.style.ChartStyles

-     public class ChartStyles
      extends java.lang.Object

  Some predefined chart styles.
  Since:
    1.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChartStyles()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ChartStyle` | `createIceCubeStyle()` Creates and returns a new instance of the "Pastel" chart style.
    `static ChartStyle` | `createLogicalFontStyle()` Creates and returns a new instance of the "Logical Font" chart style.
    `static ChartStyle` | `createOrson1Style()` Creates and returns a new instance of the "Orson 1" chart style.
    `static ChartStyle` | `createOrson2Style()` Creates and returns a new instance of the "Orson 2" chart style.
    `static ChartStyle` | `createPastelStyle()` Creates and returns a new instance of the "Pastel" chart style.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChartStyles

          public ChartStyles()

  - ### Method Detail

    - #### createOrson1Style

          public static ChartStyle createOrson1Style()

      Creates and returns a new instance of the "Orson 1" chart style.
      Returns:
        A chart style (never `null`).

    - #### createOrson2Style

          public static ChartStyle createOrson2Style()

      Creates and returns a new instance of the "Orson 2" chart style. This style has a black background and uses shades of blue for the data colors.
      Returns:
        A chart style (never `null`).

    - #### createPastelStyle

          public static ChartStyle createPastelStyle()

      Creates and returns a new instance of the "Pastel" chart style.
      Returns:
        A chart style (never `null`).

    - #### createIceCubeStyle

          public static ChartStyle createIceCubeStyle()

      Creates and returns a new instance of the "Pastel" chart style.
      Returns:
        A chart style (never `null`).

    - #### createLogicalFontStyle

          public static ChartStyle createLogicalFontStyle()

      Creates and returns a new instance of the "Logical Font" chart style. This style uses the Java logical fonts, but is otherwise the same as the "Orson 1" chart style.
      Returns:
        A chart style (never `null`).